
Name: 		mint-common-artwork
Version: 	2017.10
Release: 	%mkrel 1
Summary: 	Common artwork for MDM
License: 	GPLv2+
Group: 		System/Configuration/Theme
URL: 		http://packages.linuxmint.com
Source0:	http://packages.linuxmint.com/pool/main/m/mint-common/mint-common_1.2.9.tar.xz
Source1:	http://packages.linuxmint.com/pool/main/m/mint-artwork-common/mint-artwork-common_2.1.8.tar.xz
Source2:	login-logo.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%description
Common resources and artwork for MDM display manager.

%prep
%setup -qc %{name}-%version -T -a 0
%setup -qc %{name}-%version -D -T -a 1

pushd mint-common/debian
mv changelog changelog-mint-common
mv copyright copyright-mint-common
popd

pushd mint-artwork-common-*/debian
mv changelog changelog-mint-artwork
mv copyright copyright-mint-artwork
popd

%build
# nothing

%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/skel/.face
install -Dpm 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/login-logo.png

# copy artwork
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -aR mint-common/usr/share/pixmaps/faces %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/linuxmint/common/artwork/logos
convert %{SOURCE2} -scale 48x48 %{buildroot}%{_datadir}/linuxmint/logo.png

for resolution in 16 22 24 32 48; do
	dir=%{buildroot}%{_datadir}/linuxmint/common/artwork/logos
 	convert %{SOURCE2} -scale ${resolution}x${resolution} $dir/${resolution}.png
done

cp -aR mint-artwork-common-*/usr/share/sounds %{buildroot}%{_datadir}/

# fix file permissions, just in case
pushd %{buildroot}
find usr -type f -exec chmod 0644 '{}' \;
popd

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%defattr(-, root, root)
%doc mint-common/debian/*-common mint-artwork-common-*/debian/*-artwork
%doc mint-common/Faces-Credit.txt
%{_sysconfdir}/skel/.face
%{_datadir}/linuxmint/logo.png
%{_datadir}/pixmaps/login-logo.png
%{_datadir}/pixmaps/faces/*.*
%{_datadir}/linuxmint/common/artwork/logos/*.png
%{_datadir}/sounds/linuxmint*.wav
%{_datadir}/sounds/LinuxMint


%changelog
* Fri Dec 29 2017 Zen Subz <techars21 at gmail dot com> - 2017.10-1pclos2017
- Build for PCLinuxOS
